#dio helper
dio helper class used to api calling get, post, put, delete.

var apiRepository = ApiRepository(ApiProvider(DioHelper(Dio())));
```dart
String mainUrl = 'https://api.first.org/data/v1/';
```
## GET API
```dart
apiRepository.getApi('${mainUrl}countries', success: (response) {},
    error: (error) {
  print('${error.message} ${error.message}');
});
```

## POST API
```dart
apiRepository.postApi('${mainUrl}countries', success: (response) {},
    error: (error) {
  print('${error.message} ${error.message}');
});
```

## POST API WITH QUERY PARAMETER CALLING
```dart
apiRepository.postApi('${mainUrl}countries',
    queryParameters: {}, //QUERY PARAMETER
    success: (response) {}, error: (error) {
  print('${error.message} ${error.message}');
});
```

## POST API WITH BODY (JSON) CALLING
```dart
apiRepository.postApi('${mainUrl}countries', data: {}, success: (response) {},
    error: (error) {
  print('${error.message} ${error.message}');
});
```